local fn = _gn(0x5A5F40FE637EB584)
--- Returns false if it's a null or empty string or if the string is too long. outInteger will be set to -999 in that case.
-- If all checks have passed successfully, the return value will be set to whatever strtol(string, 0i64, 10); returns.
function Global.StringToInt(string, outInteger)
	return fn(_ts(string), _ii(outInteger) --[[ may be optional ]], _r)
end
